﻿<%@ control language="VB" autoeventwireup="false" inherits="ProductView, KartrisCompiled" %>
<%@ Register TagPrefix="user" TagName="ProductReviews" Src="~/UserControls/Front/ProductReviews.ascx" %>
<%@ Register TagPrefix="user" TagName="CarryOnShopping" Src="~/UserControls/Front/CarryOnShopping.ascx" %>
<%@ Register TagPrefix="user" TagName="ProductAttributes" Src="~/UserControls/Front/ProductAttributes.ascx" %>
<%@ Register TagPrefix="user" TagName="ProductPromotions" Src="~/UserControls/Front/ProductPromotions.ascx" %>
<div class="product">
    <asp:UpdatePanel ID="updProduct" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <%--
                =====================================
                TEXT COLUMN
                =====================================
                --%>
            <div class="textcolumn">
                <asp:FormView ID="fvwProduct" runat="server">
                    <HeaderTemplate>
                        <div class="breadcrumbtrail">
                            <asp:SiteMapPath ID="smpTrail" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>"
                                SiteMapProvider="CategorySiteMapProvider" runat="server" />
                        </div>
                        <h1>
                            <asp:Literal ID="litProductID" runat="server" Visible="false" Text='<%# Eval("P_ID") %>'></asp:Literal>
                            <asp:Literal ID="litProductName" runat="server" Text='<%# Eval("P_Name") %>'></asp:Literal>
                        </h1>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <%--
                =====================================
                IMAGE COLUMN
                =====================================
                --%>
                        <asp:UpdatePanel ID="updImages" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <user:ImageViewer ID="UC_ImageView2" runat="server" LargeViewClickable="false" />
                                <asp:PlaceHolder ID="phdImageColumn" runat="server">
                                    <div class="imagecolumn">
                                        <user:ImageViewer ID="UC_ImageView" runat="server" LargeViewClickable="true" />
                                        <asp:LinkButton ID="lnkLargeView" runat="server" Text="<%$ Resources:Product, ContentText_LargeView %>"
                                            CssClass="largeview link2" />
                                        <asp:HyperLink ID="lnkLargeView2" runat="server" Text="<%$ Resources:Product, ContentText_LargeView %>"
                                            CssClass="largeview link2" />
                                        <user:PopupMessage ID="UC_PopUpLargeView" runat="server" />
                                    </div>
                                </asp:PlaceHolder>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <div id="strapline">
                            <asp:Literal ID="litProductStrapLine" runat="server" Text='<%# Eval("P_StrapLine") %>'></asp:Literal>
                        </div>
                        <div id="description">
                            <asp:Literal ID="litProductDescription" runat="server" Text='<%# ShowLineBreaks(Eval("P_Desc")) %>'></asp:Literal>
                        </div>
                        <asp:PlaceHolder ID="phdCompareLink" runat="server" Visible='<%# Iif(KartSettingsManager.GetKartConfig("frontend.products.comparison.enabled") <> "n", True, False) %>'>
                            <div id="comparelink">
                                <asp:HyperLink CssClass="link2" ID="lnkCompare" runat="server" Text="<%$ Resources:Products,ContentText_ViewCompareLink %>" />
                            </div>
                        </asp:PlaceHolder>
                    </ItemTemplate>
                </asp:FormView>
                <%--
                =====================================
                ATTRIBUTES
                =====================================
                --%>
                <user:ProductAttributes ID="UC_ProductAttributes" runat="server" />
            </div>
            <div class="spacer">
            </div>
            <%--
                =====================================
                VERSIONS/OPTIONS
                =====================================
                --%>
            <asp:UpdatePanel ID="updVersions" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <user:ProductVersions ID="UC_ProductVersions" runat="server" />
                </ContentTemplate>
            </asp:UpdatePanel>
            <%--
                =====================================
                PROMOTIONS
                =====================================
                --%>
                <user:ProductPromotions ID="UC_Promotions" runat="server" PageOwner="product.aspx" />
            <%--
                =====================================
                REVIEWS
                =====================================
                --%>
            <asp:UpdatePanel ID="updReviews" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <user:ProductReviews ID="UC_Reviews" runat="server" />
                </ContentTemplate>
            </asp:UpdatePanel>
            <div class="spacer">
            </div>
            <%--
                =====================================
                CARRY ON SHOPPING
                =====================================
                --%>
            <user:CarryOnShopping ID="UC_CarryOnShopping" runat="server" />
            <asp:Image ID="imgProductHidden" runat="server" Visible="false" />
        </ContentTemplate>
    </asp:UpdatePanel>
</div>
